ros-humble-omni-base-2dnav (2.22.0-1jammy) jammy; urgency=high

  * added navigation skills
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 22 Jan 2026 00:00:00 -0000

ros-humble-omni-base-2dnav (2.21.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 11 Dec 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.20.0-1jammy) jammy; urgency=high

  * Use path drawer
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 10 Dec 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.19.1-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 22 Oct 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.19.0-1jammy) jammy; urgency=high

  * Add diagnostic analyzers
  * Contributors: Noel Jimenez

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 10 Jul 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.18.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 10 Jun 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.17.0-1jammy) jammy; urgency=high

  * support namespace
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 03 Jun 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.16.0-1jammy) jammy; urgency=high

  * Added pal_maps exec_depend
  * Contributors: martinaannicelli

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 14 May 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.15.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 07 May 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.14.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 07 May 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.13.0-1jammy) jammy; urgency=high

  * pal_configuration adoption
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.12.1-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 10 Feb 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.12.0-1jammy) jammy; urgency=high

  * Update omni_base_nav_bringup.launch.py
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 04 Feb 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.11.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 30 Jan 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.10.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 23 Jan 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.9.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 21 Jan 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.8.0-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Fri, 17 Jan 2025 00:00:00 -0000

ros-humble-omni-base-2dnav (2.7.0-1jammy) jammy; urgency=high

  * nav deps and specifics
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 02 Dec 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.6.1-1jammy) jammy; urgency=high

  * start rviz with use_public_sim
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.6.0-1jammy) jammy; urgency=high

  * disable costmap filters for normal nav
  * register modules
  * add multi-robot support
  * typos
  * restore laser modules
  * moved camera-related variables to rgbd packag
  * remove dependency from pal_nav2_bringup
  * use mppi
  * register nav variables and pipelines
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 14 Nov 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.5.0-1jammy) jammy; urgency=high

  * using MPPI
  * Contributors: andreacapodacqua

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 23 Oct 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.4.0-1jammy) jammy; urgency=high

  * Apply 1 suggestion(s) to 1 file(s)
  * Apply 1 suggestion(s) to 1 file(s)
  * linters
  * added unless condition to rviz
  * Contributors: antoniobrandi, martinaannicelli

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 16 Oct 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.3.0-1jammy) jammy; urgency=high

  * added docking link to variables
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.2.1-1jammy) jammy; urgency=high

  * fix public sim
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 06 Aug 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.2.0-1jammy) jammy; urgency=high

  * Unify quotation marks
  * Unify quotation marks
  * restructure launch file
  * Contributors: Aina, antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 06 Aug 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.1.1-1jammy) jammy; urgency=high

  * fix laser frames
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 19 Jul 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.1.0-1jammy) jammy; urgency=high

  * reorganized remappings file
  * naming convention
  * added device_number_laser
  * using remappings for rgbd and laser pipeline
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 17 Jul 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.19-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.18-1jammy) jammy; urgency=high

  * using costmap with filters
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 01 Jul 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.17-1jammy) jammy; urgency=high

  * move rviz in nav launch file
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.16-1jammy) jammy; urgency=high

  * Fix pal_maps path
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.15-1jammy) jammy; urgency=high

  * Update omni_base_2dnav/params/omni_base_nav.yaml, omni_base_2dnav/params/omni_base_nav_w_composition.yaml
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 03 Jun 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.14-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 03 Jun 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.13-1jammy) jammy; urgency=high

  * fix public sim
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 29 May 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.12-1jammy) jammy; urgency=high

  * deprecate omni_base_maps
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 29 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.11-1jammy) jammy; urgency=high

  * Merge branch 'abr/fix/new-launch-pal' into 'humble-devel'
    Adapt to the new launch_pal
    See merge request robots/omni_base_navigation!27
  * Update omni_base_remappings.yaml
  * Adapt to the new launch_pal
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.10-1jammy) jammy; urgency=high

  * Merge branch 'feat/move-modules-to-00' into 'humble-devel'
    moved modules to 00
    See merge request robots/omni_base_navigation!25
  * moved modules to 00
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 23 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.9-1jammy) jammy; urgency=high

  * Merge branch 'fix/variables' into 'humble-devel'
    Fix/variables
    See merge request robots/omni_base_navigation!23
  * removed unused params for sim
  * using variables lifecycle manager
  * fix variables, laser angles
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 23 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'fix/laser-params' into 'humble-devel'
    fix laser params name
    See merge request robots/omni_base_navigation!22
  * added dep
  * new variables names
  * using variables for pipelines
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 17 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.7-1jammy) jammy; urgency=high

  * Merge branch 'feat/ros2-params' into 'humble-devel'
    Feat/ros2 params
    See merge request robots/omni_base_navigation!20
  * cosmetic
  * launch indipendent nav loc and slam public sim
  * linters
  * pipelines for navigation
  * fix launch private sim
  * fix and change params names
  * fix dep
  * default nav config for omni_base
  * splitted navigation and localization pipeline and modules
  * added state_lattice
  * rviz config
  * fine tuning params
  * tuning parameters ros2
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.6-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 06 Mar 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.5-1jammy) jammy; urgency=high

  * Merge branch 'fix/laser-pipeline' into 'humble-devel'
    renamed apps and removed unuseful args
    See merge request robots/omni_base_navigation!18
  * renamed apps and removed unuseful args
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 05 Mar 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.4-1jammy) jammy; urgency=high

  * Merge branch 'aca/experiments-module' into 'humble-devel'
    Aca/experiments module
    See merge request robots/omni_base_navigation!17
  * new load of params in module
  * linters and omni base radius
  * remappings laser pipeline
  * modules experiments
  * Contributors: andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 28 Feb 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.3-1jammy) jammy; urgency=high

  * Merge branch 'feat/register-components' into 'humble-devel'
    using components and parameters
    See merge request robots/omni_base_navigation!16
  * linters
  * using components and parameters
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.2-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 14 Dec 2023 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix/modules-ros2' into 'humble-devel'
    moved omni modules from 00 to 10
    See merge request robots/omni_base_navigation!14
  * moved omni modules from 00 to 10
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 11 Dec 2023 00:00:00 -0000

ros-humble-omni-base-2dnav (2.0.0-1jammy) jammy; urgency=high

  * Merge branch 'feat/use-module' into 'humble-devel'
    Feat/use module
    See merge request robots/omni_base_navigation!12
  * removed use_sim_time slam module
  * removed navigation module
  * add navigation module
  * update copyright
  * omni_base ROS 2
  * added ira_laser_tool new rviz config
  * fix launch
  * fix: Typo and time_offset in sick 561
  * Add TODO and scan_topic to scan
  * omnibase 2dnav to ROS 2:
    + colcon
    + launch.py
    + pal_navigation_cfg
  * Contributors: Noel Jimenez, YueErro, andreacapodacqua

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 23 Nov 2023 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.11-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.10-1jammy) jammy; urgency=high

  * Merge branch 'feat/map-manager' into 'ferrum-devel'
    Move to map manager
    See merge request robots/omni_base_navigation!7
  * Move to map manager
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Fri, 27 Jan 2023 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.9-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 16 Aug 2022 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.8-1jammy) jammy; urgency=high

  * Merge branch 'update_rviz' into 'ferrum-devel'
    Add advanced navigation file + fix nav rviz + change poi
    See merge request robots/omni_base_navigation!3
  * Add advanced navigation file + fix nav rviz + change poi
  * Contributors: antoniobrandi, thomaspeyrucain

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 08 Aug 2022 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.7-1jammy) jammy; urgency=high

  * Merge branch 'fix-rviz-default' into 'ferrum-devel'
    Modify default rviz to show the right topics and not transparent omni_base
    See merge request robots/omni_base_navigation!2
  * Modify default rviz to show the right topics and not transparent omni_base
  * Contributors: antoniobrandi, thomaspeyrucain

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 04 Aug 2022 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.6-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 13 Jul 2022 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.5-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Tue, 26 Oct 2021 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.4-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Wed, 06 Oct 2021 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.3-1jammy) jammy; urgency=high

  * removing useless dependencies
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Mon, 04 Oct 2021 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.2-1jammy) jammy; urgency=high



 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 30 Sep 2021 00:00:00 -0000

ros-humble-omni-base-2dnav (0.0.1-1jammy) jammy; urgency=high

  * preparing release
  * Omni base navigation initial commit
  * Contributors: antoniobrandi

 -- Yue Erro <yue.erro@pal-robotics.com>  Thu, 30 Sep 2021 00:00:00 -0000


